/*
 * $Id: LostFoldersForm.java,v 1.4 2007/08/27 08:49:20 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * $Log: LostFoldersForm.java,v $
 * Revision 1.4  2007/08/27 08:49:20  marbobo
 * + Kontext korrekt setzen
 *
 * Revision 1.3  2007/08/14 14:49:59  marbobo
 * + Licenseverwaltung komplett umgeschrieben
 * + Kategoriesuche und verlorene Kategorien anzeigen komplett umgeschrieben
 * + Fehler beim Speichern von Beschreibenungsfeldern für Entitäten beseitigt.
 *
 */
package vkc.administration.form;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import vkc.db.serializer.VKCCategorySerializer;
import vkc.exception.DBException;

public class LostFoldersForm extends SystemMaintenanceForm {
    List lostFolders = null;

    public void reset(ActionMapping mapping, HttpServletRequest request) {
        super.reset(mapping, request);
        lostFolders = null;
        setSelectedContext(LOSTFOLDERS);
    }

    public List getLostFolders() throws DBException {
        if (lostFolders == null) {
            lostFolders = VKCCategorySerializer.retrieveLostFolders();
        }
        
        return lostFolders;
    }
}